# Show content data export

You can view the status of your job by sending a `GET` request to the URL
`https://api.intercom.io/export/content/data/{job_identifier}` - the `{job_identifier}` is the value returned in the response when you first created the export job. More on it can be seen in the Export Job Model.
> 🚧 Jobs expire after one week
All jobs that have completed processing (and are thus available to download from the provided URL) will have an expiry limit of one week from when the export job was created. After this, the data will no longer be available.

A job that failed is returned with a `504` status code and a `status` of `failed`. A job left in progress for more than a day is marked failed when you poll it.
Requires the `export_content_data` OAuth scope.

Endpoint: GET /export/content/data/{job_identifier}
Version: 2.18
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `job_identifier` (string, required)
    job_identifier

## Header parameters:

  - `Intercom-Version` (string)

## Response 200:

  - `200` (unknown)
    successful

## Response 200 fields (application/json):

  - `job_identifier` (string)
    The identifier for your job.
    Example: orzzsbd7hk67xyu

  - `status` (string)
    The current state of your job.
    Enum: "pending", "in_progress", "failed", "completed", "no_data", "canceled"

  - `download_expires_at` (string)
    The time after which you will not be able to access the data, as a Unix timestamp. It is one week from the time the job was created. Empty until the job completes.
    Example: 1674917488

  - `download_url` (string)
    The location where you can download your data. Empty until the job completes.
    Example: https://api.intercom.io/download/content/data/orzzsbd7hk67xyu

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.data` (object)
    Optional. Extra detail about the error, for example `required_permissions` on a 403 `action_forbidden` error.
    Example: {"required_permissions":["read_conversations"]}

## Response 404:

  - `404` (unknown)
    Export job not found

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.data` (object)
    Optional. Extra detail about the error, for example `required_permissions` on a 403 `action_forbidden` error.
    Example: {"required_permissions":["read_conversations"]}

## Response 504:

  - `504` (unknown)
    The job failed

## Response 504 fields (application/json):

  - `job_identifier` (string)
    The identifier for your job.
    Example: orzzsbd7hk67xyu

  - `status` (string)
    The current state of your job.
    Enum: "pending", "in_progress", "failed", "completed", "no_data", "canceled"

  - `download_expires_at` (string)
    The time after which you will not be able to access the data, as a Unix timestamp. It is one week from the time the job was created. Empty until the job completes.
    Example: 1674917488

  - `download_url` (string)
    The location where you can download your data. Empty until the job completes.
    Example: https://api.intercom.io/download/content/data/orzzsbd7hk67xyu

## Response 200 examples:

  - `successful` (unknown)

## Response 401 examples:

  - `Unauthorized` (unknown)

  - `Token lacks required scope` (unknown)

## Response 404 examples:

  - `Job not found` (unknown)

## Response 504 examples:

  - `Failed job` (unknown)

